RAISE(3)

NAME
raise - send a signal to the current process

SYNOPSIS
#include <signal.h>

int raise(int sig);

DESCRIPTION
The raise() function sends a signal to the current process. It is equivalent to

    kill(getpid(), sig);

RETURN VALUE
0 on success, non-zero for failure.

CONFORMING TO
ANSI-C

SEE ALSO
getpid(2), kill(2), signal(2)